EDataBookFactory
3
LIBEDATA-BOOK Library

# EDataBookFactory

## Synopsis

                EDataBookFactory;
    EDataBookFactory* e_data_book_factory_new   (void);
    void        e_data_book_factory_register_backend
                                                (EDataBookFactory *factory,
                                                 EBookBackendFactory *backend_factory);
    int         e_data_book_factory_get_n_backends
                                                (EDataBookFactory *factory);
    void        e_data_book_factory_register_backends
                                                (EDataBookFactory *factory);
    void        e_data_book_factory_dump_active_backends
                                                (EDataBookFactory *factory);
    gboolean    e_data_book_factory_activate    (EDataBookFactory *factory,
                                                 const char *iid);
    void        e_data_book_factory_set_backend_mode
                                                (EDataBookFactory *factory,
                                                 int mode);

## Description

## Details

### EDataBookFactory

    typedef struct {
    	BonoboObject            parent_object;
    	EDataBookFactoryPrivate *priv;
    } EDataBookFactory;

### e_data_book_factory_new ()

    EDataBookFactory* e_data_book_factory_new   (void);

Create a new EDataBookFactory.

Returns :

  A new EDataBookFactory.

### e_data_book_factory_register_backend ()

    void        e_data_book_factory_register_backend
                                                (EDataBookFactory *factory,
                                                 EBookBackendFactory *backend_factory);

Registers `backend_factory` with `factory`.

`factory` :

  an EDataBookFactory

`backend_factory` :

  an EBookBackendFactory

### e_data_book_factory_get_n_backends ()

    int         e_data_book_factory_get_n_backends
                                                (EDataBookFactory *factory);

Queries the number of running addressbook backends in an addressbook factory.

`factory` :

  An addressbook factory.

Returns :

  Number of running backends.

### e_data_book_factory_register_backends ()

    void        e_data_book_factory_register_backends
                                                (EDataBookFactory *factory);

Register the backends supported by the Evolution Data Server, with `book_factory`.

`factory` :

### e_data_book_factory_dump_active_backends ()

    void        e_data_book_factory_dump_active_backends
                                                (EDataBookFactory *factory);

Dump the list of active backends registered with `factory` to stdout. This is a debugging function.

`factory` :

  an EDataBookFactory

### e_data_book_factory_activate ()

    gboolean    e_data_book_factory_activate    (EDataBookFactory *factory,
                                                 const char *iid);

Activates the factory specified by `iid`, using Bonobo.

`factory` :

  an EDataBookFactory

`iid` :

  the OAF ID of the factory to activate

Returns :

  `TRUE` for success, `FALSE` otherwise.

### e_data_book_factory_set_backend_mode ()

    void        e_data_book_factory_set_backend_mode
                                                (EDataBookFactory *factory,
                                                 int mode);

Sets all the backends associated with `factory` to be either online or offline. `mode` should be passed as 1 for offline, or 2 for online.

`factory` :

  an EDataBookFactory

`mode` :

  a connection status